# Enumerations Reference

# Enumerations

The following enumerations are available globally.

- `ORTLoggingLevel`

  The ORT logging verbosity levels.

  See more

  #### Declaration

  Objective-C

      enum ORTLoggingLevel : int32_t {}

  Swift

      enum ORTLoggingLevel : Int32

- `ORTValueType`

  The ORT value types. Currently, a subset of all types is supported.

  See more

  #### Declaration

  Objective-C

      enum ORTValueType : int32_t {}

  Swift

      enum ORTValueType : Int32

- `ORTTensorElementDataType`

  The ORT tensor element data types. Currently, a subset of all types is supported.

  See more

  #### Declaration

  Objective-C

      enum ORTTensorElementDataType : int32_t {}

  Swift

      enum ORTTensorElementDataType : Int32

- `ORTGraphOptimizationLevel`

  The ORT graph optimization levels. See here for more details: https://www.onnxruntime.ai/docs/resources/graph-optimizations.html

  See more

  #### Declaration

  Objective-C

      enum ORTGraphOptimizationLevel : int32_t {}

  Swift

      enum ORTGraphOptimizationLevel : Int32

© 2022 ONNX Runtime Authors. All rights reserved. (Last updated: 2022-10-22)

Generated by jazzy ♪♫ v0.14.3, a Realm project.